Bug 119018 - Table style of the source table changes to the one of the target table if there is mismatch between number of rows
Summary: Table style of the source table changes to the one of the target table if the...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Writer-Tables-Style
  Show dependency treegraph
 
Reported: 2018-07-31 15:52 UTC by Telesto
Modified: 2018-09-23 18:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (10.92 KB, application/vnd.oasis.opendocument.text)
2018-07-31 15:52 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-07-31 15:52:12 UTC
Description:
Table style of the source table changes to the one of the target table if there is mismatch between number of rows

Steps to Reproduce:
1. open the attachment
2. Select full table or only the content 
3. Drag it into the red one
4. The blue table will convert to red

Actual Results:
The blue table will convert to red

Expected Results:
Shouldn't happen


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha0+
Build ID: 1b21ff86effe58ae368457de8fec654ba4c8edd9
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-07-30_03:13:35
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Telesto 2018-07-31 15:52:30 UTC
Created attachment 143843 [details]
Example file
Comment 2 Telesto 2018-07-31 15:53:09 UTC
Note: Can't be fixed by using undo
Comment 3 Telesto 2018-08-11 14:55:02 UTC
No repro with
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 4 Telesto 2018-08-11 14:58:41 UTC
No repro with
Version: 5.2.5.0.0+
Build ID: 78223678b7513ffe46804cb08f2dc5bc899b2bab
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
Locale: nl-NL (nl_NL); Calc: C
Comment 5 Buovjaga 2018-09-06 17:56:32 UTC
Bibisected with win32-6.1 to https://cgit.freedesktop.org/libreoffice/core/commit/?id=137c38a1ba01c51c421f695e1558d2c1499c6627

tdf#117189 Fix table InsertRow redo

Adding Cc: to Jim Raykowski

Bibisecting notes: a hanging bug in the history made things slightly tricky so I had to do this sort of thing a few times:
git log --reverse --pretty=%H master | grep -A 1000 $(git rev-parse HEAD) | tail -n1 | xargs git checkout

to move forward from the oldest commit in the repo.
Comment 6 Jim Raykowski 2018-09-06 19:46:47 UTC
Revert of tdf#117189 sent to gerrit to fix this.
Comment 7 Telesto 2018-09-06 19:50:23 UTC
(In reply to Jim Raykowski from comment #6)
> Revert of tdf#117189 sent to gerrit to fix this.

What about the initial bug?
Comment 8 Jim Raykowski 2018-09-06 20:17:33 UTC
(In reply to Telesto from comment #7)
> (In reply to Jim Raykowski from comment #6)
> > Revert of tdf#117189 sent to gerrit to fix this.
> 
> What about the initial bug?

It will need to be reopened after revert is merged. The reviewers comment was that this patch was very plausible that this should fix things but alas it seems not so :(